<template>
  <!-- 列表 -->
  <ContentWrap>
    <el-table v-loading="loading" :data="list" :stripe="true" :show-overflow-tooltip="true">

      <el-table-column label="原料" align="center" prop="productName" />
      <el-table-column label="数量" align="center" prop="weight" />
      <el-table-column label="单位" align="center" prop="unitName" />
      <el-table-column label="投料时间" align="center" prop="feedingTime"  :formatter="dateFormatter"/>
    </el-table>
  </ContentWrap>
</template>
<script setup lang="ts">
import { dateFormatter } from '@/utils/formatTime'
import { FeedingRecordApi } from '@/api/mes/feedingrecord'

const { t } = useI18n() // 国际化
const message = useMessage() // 消息弹窗

const props = defineProps<{
  recordId?: number // 记录id（主表的关联字段）
}>()
const loading = ref(false) // 列表的加载中
const list = ref([]) // 列表的数据

/** 查询列表 */
const getList = async () => {
  loading.value = true
  try {
    list.value = await FeedingRecordApi.getFeedingRecordDetailListByRecordId(props.recordId)
  } finally {
    loading.value = false
  }
}

/** 搜索按钮操作 */
const handleQuery = () => {
  queryParams.pageNo = 1
  getList()
}

/** 初始化 **/
onMounted(() => {
  getList()
})
</script>
